import request from '@/utils/request'

// 查询销售部与区县对应关系列表
export function listStreetDept(data) {
  return request({
    url: '/sfa/streetDept/list',
    method: 'post',
    data: data
  })
}

// 查询销售部与区县对应关系详细
export function getStreetDept(id) {
  return request({
    url: '/sfa/streetDept/' + id,
    method: 'get'
  })
}

// 新增销售部与区县对应关系
// export function addStreetDept(data) {
//   return request({
//     url: '/sfa/streetDept',
//     method: 'post',
//     data: data
//   })
// }
export function addStreetDept(data) {
  return request({
    url: '/sfa/streetDept/add',
    method: 'post',
    data: data
  })
}

// 修改销售部与区县对应关系
// export function updateStreetDept(data) {
//   return request({
//     url: '/sfa/streetDept',
//     method: 'put',
//     data: data
//   })
// }
export function updateStreetDept(data) {
  return request({
    url: '/sfa/streetDept/edit',
    method: 'post',
    data: data
  })
}

// 删除销售部与区县对应关系
export function delStreetDept(data) {
  return request({
    url: '/sfa/streetDept/delete',
    method: 'post',
    data: data
  })
}
// 获取省市区树形结构数据
export function streetTree(query) {
  return request({
    url: '/sfa/streetDept/streetTree',
    method: 'get',
    params: query
  })
}
// 生效
export function effect(query) {
  return request({
    url: '/sfa/streetDept/effect',
    method: 'post',
    data: query
  })
}
// 导入
export function streetDeptImport(query) {
  return request({
    url: '/sfa/streetDept/import',
    method: 'post',
    params: query
  })
}
